import 'package:ambito/src/widgets/buttons/text_button.dart';
import 'package:flutter/material.dart';

import '../../../../entity/measure/complete/measure_complete.dart';
import '../../../../packages/ambito_theme/ambito_theme.dart';
import '_sidebar_card.dart';

class FactsheetCard extends StatelessWidget {
  const FactsheetCard({super.key, required this.massnahme});

  final MeasureComplete massnahme;

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);

    return SideBarCard(
      massnahme: massnahme,
      title: 'page.actionDetailPage.factsheet.title',
      content: [
        Text(
          'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam',
          style: theme.currentThemeData.textTheme.bodyLarge
              ?.copyWith(fontWeight: FontWeight.bold),
        ),
        theme.verticalSpacer,
        Align(
          alignment: Alignment.center,
          child: TextButtonElement(
              title: 'page.actionDetailPage.factsheet.download',
              onPressed: () {}),
        ),
      ],
    );
  }
}
